Subject: RE: [Ans-research] The Charter

From: "Elizabeth M. Belding-Royer" <[email-masked]>
Date: Tue, 8 Apr 2003 13:19:39 -0700 (PDT)

~> 
~> I wasn't able to attend the BAR BOF -- personally I would like to understand
~> how, among many interesting topics, scalability was chosen to be the one
~> focus for this research group. Is that because people perceive the
~> difficulty to scale ad hoc network into thousands or millions of nodes as
~> the next biggest obstacle we face today in deploying such network? I would
~> think there are many other challenges like QoS, self-configuration, seamless
~> integration with the wired network, etc. -- even just for small to medium
~> size networks -- that are more urgent but have not been adequately addressed
~> in the research community. I was certainly hoping to see this group as a
~> forum to discuss all these challenges in addition to scalability. Elizabeth
~> suggested these topics can be discussed from the angle of how these interact
~> with scalability issue. But my concern is that it is premature to discuss
~> these issues for large networks while we don't even have good handle on them
~> for small to medium size networks. 
~> 

My understanding is that scalability was chosen in part to handle some
of the research that had previously been submitted to MANET but was
now out of scope because of the new MANET charter.  The other part was
because scalability has been far less researched than many other topics.
There are already some reasonable ideas about what works and doesn't
work in many areas of ad hoc networking, but little work has been done
in the area of scalability.  I don't know that IRTF groups are supposed 
to handle urgent topics.

I'm speaking from my understanding of how the group was chartered.
I actually became co-chair after the charter was already in place.
Hopefuuly Scott can correct anything I said that it inaccurate.

~> Another concern I have on focusing on scalability is how this overlap with
~> the current charter of the IETF MANET group. At the San Francisco MANET
~> meeting, there was quite a heated disucssion without much resolution on how
~> the MANET group proceed on standardizing one or two routing protocols for ad
~> hoc networks. One of the suggestion is to come up with a set of network
~> scenarios and evaluation metric so that fair evalution can be done on the
~> existing protocols. This sounds a bit similar to what the ANS group is about
~> to do as the first step, but of course with a focus on scalability. However,
~> it wasn't clear to me whether scalability is one of the concern when
~> evalauting the existing protocols produced by the MANET group in its effort
~> to standardize one or two. So maybe the chairs of these two groups can
~> explain exactly how the line is divided here between the work done by two
~> groups?
~> 

In defining scalability, we are basically determining the dimensions
on which an ad hoc network can be defined.  I think this directly 
relates to what MANET is trying to do.  They are trying to determine
what metrics should be used to define a network, which is what we 
will determine when defining scalability.

One of the goals of the ANS RG is to produce knowledge that is usable
by other groups, such as MANET.

~> Overall I believe it is a good thing for the IETF MANET group to become very
~> focus and engineering-oriented, but on the same time, I hope the ANS group
~> can be more open in accomodating the research needs that are clearly outside
~> of MANET but have been actively purseud by many people in the community.
~> 

I hope I gave the impression in my prior email that the group was
going to be accommodating in many areas.  That was my intention.
At the same time, I think its important to be realistic about how
many topics a single group can incorporate while still being 
productive and reasonably focussed.  If you look at the topics of
the other IRTF research groups, I think you will find that we are
headed in the direction of a much broader scope than the other
previously chartered groups.  I don't think you will find any single
wired networking group that focuses on all of Scalability, Qos, 
Reliability, Multicast, etc.  Each topic is typically the focus
of a single group.  In that sense, I think our focus is very broad
(but hopefully not too broad if we keep scalability in mind).

Elizabeth

~> I post this to both groups because of the nature of my questions.
~> 
~> Lily
~> 
~> > -----Original Message-----
~> > From: Elizabeth M. Belding-Royer [mailto:[email-masked]]
~> > Sent: Tuesday, April 08, 2003 9:12 AM
~> > To: [email-masked]
~> > Subject: [Ans-research] The Charter
~> > 
~> > 
~> > It is my understanding that IRTF group charters do not have
~> > to be "strictly" adhered to in the sense that IETF charters 
~> > do.  In that sense, you can take the charter goal of scalable
~> > ad hoc networks rather loosely.  So then, any ideas that will
~> > help improve the scalability of ad hoc networks are welcome.
~> > Hence, cross-layer interactions, addressing mechanisms, protocols
~> > (new or rehashed), etc. are all welcome ideas if the end goal
~> > is to improve the scalability of the network (of course, what
~> > scalable means is what we are still working on).
~> > 
~> > Another point to note is that scalability can be looked at
~> > in a number of different areas.  Routing, QoS, reliability,
~> > etc. are all important topics because they can also affect the
~> > scalability of the network.  So Sukanta was right when he said
~> > no topics have really received a red flag, except for security.
~> > As long as the focus of the group remains narrow enough that 
~> > we are still able to make progress then I think we are headed
~> > in the right direction.
~> > 
~> > Elizabeth
~> > 
~> > _______________________________________________
~> > Ans-research mailing list
~> > [email-masked]
~> > https://www1.ietf.org/mailman/listinfo/ans-research
~> > 
~> 

_______________________________________________
Ans-research mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ans-research

---

From: Joe Macker <[email-masked]>
Date: Tue, 08 Apr 2003 17:13:52 -0400

>in the area of scalability.  I don't know that IRTF groups are supposed 

I took back from the discussions that the IRTF effort would be flexible and 
more open in topic coverage. I think we can address some more basic
configuration and integration issues for small to medium networks at 
the IETF level.  There are more complex autoconfiguration scenarios and they
may be appropriate for the IRTF what is your particular 
scenario of interest?  I am also hoping the IRTF is reasonable flexible and open
to new thoughts and ideas.

BTW, I (and others) have setup quite a few networks operating this way today (Internet
stub area operation and some basic autoconfiguration)..

>(but hopefully not too broad if we keep scalability in mind).

I think an IRTF is intended to be very flexible and open but it
does need to direct its efforts over time to what seems suitable and
useful.